# Rename this file to custom_zodb.py and edit as necessary to switch to
# one of the BDBStorages instead of FileStorage.

import os
from BDBStorage.BerkeleyBase import BerkeleyConfig
from BDBStorage.BDBFullStorage import BDBFullStorage
from BDBStorage.BDBMinimalStorage import BDBMinimalStorage

# Pick one
Class = BDBFullStorage
#Class = Minimal

# The config instance has several attributes which can be used to tune Full
# storage.  See the BerkeleyConfig class docstring for details.  You should
# consider at least setting logdir and frequency.
config = BerkeleyConfig()
config.logdir = '/directory/on/different/disk'
config.frequency = 3600

envpath = os.path.join('var', 'bdb')
Storage = Class(envpath, config=config)
